Bug 98580 - Problems with umounting floppy accindentally mounted in / (root)
Summary: Problems with umounting floppy accindentally mounted in / (root)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-03 22:02 UTC by Sebastian Zavadschi
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-30 20:34:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sebastian Zavadschi 2003-07-03 22:02:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
Accidentally, I have typed "mount /dev/fd0 /" and after that, I can not umount
from root and I get the message "device is busy". I mounted again my root
partition, but /dev/fd0 is still mounted. I have no problem to use my Linux
without reboot, but my friends on Fr33B$D go to reboot their systems :-)

It's very strange... I know, the ROOT account have all the rights, but, how to
prevent from accidentally damages. I think, in this case, the "mount" command
must be limited with special parameters to do this operation.

Version-Release number of selected component (if applicable):
mount-2.11y

How reproducible:
Always

Steps to Reproduce:
1. mount /dev/fd0 /
2. umount -f /dev/fd0 (device is busy)
    

Actual Results:  The floppy is mounting on / and remain mounted until reboot.
I'm also able to re-mount my / partition back, but fd0 is still mounted.

Expected Results:  1. No access to vital mount poits
2. Or, somehow to unmount the device/filesystem

Additional info:

Comment 1 Elliot Lee 2003-07-30 20:34:26 UTC
Problem: administrator error
Solution: Don't do that


Note You need to log in before you can comment on or make changes to this bug.